// components/My_SearchInputBox/index.js
Component({
    /**
     * 组件的属性列表
     */
    properties: {
        /* 搜索方法 */
        searchQuery: {
            type: Function
        },
        /* 新增按钮跳转 */
        route: {
            type: String
        },
        /* 是否主账号 */
        fisadministrator: {
            type: Boolean
        }
    },

    /**
     * 组件的初始数据
     */
    data: {
        text: ""
    },

    /**
     * 组件的方法列表
     */
    methods: {
        /* 输入 */
        inputText(e) {
            this.setData({
                text: e.detail.value
            })
        },
        /* 失去焦点 */
        searchBlur(e) {
            const {
                value
            } = e.detail;
            this.triggerEvent("searchQuery", value.trim())
        },
        /* 跳转页面 */
        itemAdd() {
            if (this.data.route == 'product') {
                wx.navigateTo({
                    url: '/pages/productManagement/change',
                })
            } else if (this.data.route == 'team') {
                wx.navigateTo({
                    url: '/pages/teamManagement/change',
                })
            }
        },
        /* 清空 */
        clearInput() {
            this.setData({
                text: ""
            })
            this.triggerEvent("searchQuery", '')
        }
    }
})